summaryrefslogtreecommitdiff
path: root/media-tv/sopcast
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2015-03-19 18:06:22 +0200
committerV3n3RiX <venerix@rogentos.ro>2015-03-19 18:06:22 +0200
commit134cf33a1d6a48eaa2c18c811ae400adb2d8e977 (patch)
tree40c82ddf210473c49a4430c107223f174827c5a5 /media-tv/sopcast
parent2a07eeb58e07d0bca710bdc50f8aad8a2166ef79 (diff)
rename sp-auth to sopcast, it's way easy to find && remember
Diffstat (limited to 'media-tv/sopcast')
-rw-r--r--media-tv/sopcast/Manifest1
-rw-r--r--media-tv/sopcast/sopcast-3.2.6-r1.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/media-tv/sopcast/Manifest b/media-tv/sopcast/Manifest
new file mode 100644
index 00000000..6d8d8af8
--- /dev/null
+++ b/media-tv/sopcast/Manifest
@@ -0,0 +1 @@
+DIST sp-auth-3.2.6.tar.gz 345856 SHA256 6ea333b51898ee61f37903f20503358e8ee328cbd8b49d910fa7e0f23bf8a4a0 SHA512 9d9c547df24b30ffe7ee33d0783005eff3f8b90d0955f58faa8380102e10de8f9ab6098ff53ecacaa3c275bf7b206b98f6ae9a365abb362531a3d28888e666af WHIRLPOOL 21b7269c41e43ec292302bca97bf9d65f506649aaed751fe2777199cf866e94cdd324294d60a1c24202eb2e973214406f167b50cfb55282289b301ca3d9c4e0b
diff --git a/media-tv/sopcast/sopcast-3.2.6-r1.ebuild b/media-tv/sopcast/sopcast-3.2.6-r1.ebuild
new file mode 100644
index 00000000..ce86a0c5
--- /dev/null
+++ b/media-tv/sopcast/sopcast-3.2.6-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit eutils
+
+MY_P="sp-sc-auth"
+MY_PN="sp-auth"
+
+DESCRIPTION="SopCast free P2P Internet TV binary"
+LICENSE="SopCast-unknown-license"
+HOMEPAGE="http://www.sopcast.com/"
+SRC_URI="http://sopcast-player.googlecode.com/files/${MY_PN}-${PV}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="strip"
+
+# All dependencies might not be listed, since the binary blob's homepage only lists libstdc++
+RDEPEND="amd64? ( sys-libs/libstdc++-v3[multilib] )
+ x86? ( >=virtual/libstdc++-3.3 )"
+
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_PN}
+
+src_install() {
+ exeinto /usr/bin/
+ newexe sp-sc-auth ${MY_P} || die "newexe failed"
+ dodoc Readme || die "dodoc failed"
+}